Skip to main content

Activate or end a donation campaign

post/companies/{companyId}/campaignManagement/{donationCampaignId}/status/{status}

Starts or stops the donation campaign specified in the path, by providing a path parameter. Use the path parameter activate to start an inactive campaign, or end to stop an active campaign. Other status transitions are not allowed.

To make this request, your API credential must have the following role:

  • Management API—Campaign Management read and write
Endpoint destination URL
https://management-test.adyen.com/v3/companies/{companyId}/campaignManagement/{donationCampaignId}/status/{status}
Click to copy
statusstringRequired

The desired status change. Possible values: activate or end.

donationCampaignIdstringRequired

The unique identifier of the donation campaign to activate or end.

companyIdstringRequired

The unique identifier of the company account.

After submitting a call, you receive a response message to inform you that your request was received and processed.

Depending on the HTTP status code of the response message, it is helpful to build some logic to handle any errors that a request or the system may return.

HTTP Responses

  • 200 - OK

    The request has succeeded.

  • 400 - Bad Request

    A problem reading or understanding the request.

  • 401 - Unauthorized

    Authentication required.

  • 403 - Forbidden

    Insufficient permissions to process the request.

  • 422 - Unprocessable Entity

    A request validation error.

  • 500 - Internal Server Error

    The server could not process the request.